import styled from "@emotion/styled";
import { motion } from "framer-motion";
import { observer } from "mobx-react-lite";
import React from "react";
import { Link } from "../Link/Link";
export const ActionLogs = observer(({ state }) => {
    return (React.createElement(ActionLogsBox, null, state.logs.map((action, i) => (React.createElement(ActionLog, { ...action })))));
});
const ActionLogsBox = styled.div `
  position: absolute;
  overflow: hidden;
  bottom: 0;
  right: 0;
  z-index: 10;
  overflow: hidden;
`;
const ActionLog = (props) => {
    return (React.createElement(motion.div, { animate: { x: "100%" }, transition: { delay: 3 }, onAnimationComplete: props.onAnimationComplete },
        React.createElement(motion.div, { animate: { x: 0, marginBottom: 0 }, initial: { x: "100%", marginBottom: -100 }, transition: { type: "tween" } },
            React.createElement(ActionLogBox, { className: "action-log" },
                props.action.type === "fn" ? (React.createElement(React.Fragment, null,
                    "Function prop invoked: ",
                    React.createElement("b", null, props.action.path))) : (React.createElement(React.Fragment, null,
                    "Redirect prevented:",
                    " ",
                    React.createElement(Link, { href: props.action.path }, props.action.path))),
                props.count > 1 && ` (x${props.count})`))));
};
const ActionLogBox = styled.div `
  background: #fff;
  border: 2px solid #6998f7;
  border-radius: 8px;
  padding: 8px;
  margin: 8px;
  animation-fill-mode: forwards;
`;
