import { makeAutoObservable } from "mobx";
export class ActionLogsState {
    constructor() {
        this.logs = [];
        makeAutoObservable(this);
    }
    onAction(action) {
        const now = Date.now();
        const key = now.toString();
        const existingActionLog = this.logs.find((a) => a.action.path === action.path);
        if (existingActionLog) {
            existingActionLog.count += 1;
            existingActionLog.timestamp = now;
        }
        else {
            this.logs.push({
                key,
                action,
                count: 1,
                timestamp: now,
                onAnimationComplete: () => {
                    this.logs = this.logs.filter((a) => a.key !== key);
                },
            });
        }
    }
}
