import styled from "@emotion/styled";
import { observer } from "mobx-react-lite";
import React, { useEffect } from "react";
export const ConsoleLogs = observer(({ state }) => {
    const scrollToBottomRef = React.createRef();
    useEffect(() => {
        var _a;
        (_a = scrollToBottomRef.current) === null || _a === void 0 ? void 0 : _a.scrollIntoView({
            behavior: "smooth",
        });
    });
    const dateFormat = new Intl.DateTimeFormat("default", {
        hour: "numeric",
        minute: "numeric",
        second: "numeric",
    });
    return (React.createElement(ConsolePanelContainer, null,
        state.logs.map((log, i) => (React.createElement(LogMessageContainer, { level: log.level, className: "code", key: i },
            "[",
            dateFormat.format(log.timestamp),
            "] ",
            log.message))),
        state.logs.length > 0 && (React.createElement(ClearAllButton, { ref: scrollToBottomRef, onClick: state.onClear.bind(state) }, "Clear all"))));
});
const ConsolePanelContainer = styled.div `
  flex-grow: 1;
  overflow: auto;
`;
const LogMessageContainer = styled.div `
  white-space: pre-wrap;
  font-size: 10px;
  padding: 8px;
  color: ${({ level }) => ({
    log: "#555",
    warn: "#f60",
    error: "#d00",
}[level])};

  &:nth-of-type(even) {
    background: rgba(255, 255, 255, 0.8);
  }
`;
const ClearAllButton = styled.div `
  padding: 8px;
  text-align: right;
  cursor: pointer;
  color: hsl(213, 82%, 45%);
`;
